Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ode.utils.xml.capture
Class Wsdl11Tracker

    java.lang.Object
      org.apache.ode.utils.xml.capture.Tracker
          org.apache.ode.utils.xml.capture.XmlSchemaTracker
              org.apache.ode.utils.xml.capture.Wsdl11Tracker

All Implemented Interfaces:
  org.xml.sax.ContentHandler

    public class Wsdl11Tracker

extends XmlSchemaTracker

Tracker for WSDL 11 documents. This class extends the `XmlSchemaTracker` class because a WSDL document may have in-line schemas.

Field Summary
`static java.lang.String` | `ATTR_LOCATION`
`static java.lang.String` | `ATTR_NAMESPACE`
`static java.lang.String` | `EL_IMPORT`
`static java.lang.String` | `NS`

Constructor Summary
`Wsdl11Tracker()`

Method Summary
`void` | `startElement(java.lang.String uri, java.lang.String localName, java.lang.String qName, org.xml.sax.Attributes atts)`

Methods inherited from class org.apache.ode.utils.xml.capture.Tracker
`addReference, addReference, characters, endDocument, endElement, endPrefixMapping, getBase, getReferences, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startDocument, startPrefixMapping`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NS

    public static final java.lang.String NS

See Also:
  Constant Field Values

### EL_IMPORT

    public static final java.lang.String EL_IMPORT

See Also:
  Constant Field Values

### ATTR_LOCATION

    public static final java.lang.String ATTR_LOCATION

See Also:
  Constant Field Values

### ATTR_NAMESPACE

    public static final java.lang.String ATTR_NAMESPACE

See Also:
  Constant Field Values

Constructor Detail

### Wsdl11Tracker

    public Wsdl11Tracker()

Method Detail

### startElement

    public void startElement(java.lang.String uri,
                             java.lang.String localName,
                             java.lang.String qName,
                             org.xml.sax.Attributes atts)
                      throws org.xml.sax.SAXException

  Specified by:
    `startElement` in interface `org.xml.sax.ContentHandler`
  Overrides:
    `startElement` in class `XmlSchemaTracker`
  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD